WPXTable Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
WPXTable Class Reference

`#include <WPXTable.h>`

## Public Member Functions
| WPXTable ()
| ~WPXTable ()
void | insertRow ()
void | insertCell (unsigned char colSpan, unsigned char rowSpan, unsigned char borderBits)
const WPXTableCell * | getCell (size_t i, size_t j)
void | makeBordersConsistent ()
void | _makeCellBordersConsistent (WPXTableCell *cell, std::vector< WPXTableCell * > &adjacentCells, int adjacencyBitCell, int adjacencyBitBoundCells)
std::vector< WPXTableCell * > | _getCellsBottomAdjacent (int i, int j)
std::vector< WPXTableCell * > | _getCellsRightAdjacent (int i, int j)
const std::vector< std::vector< WPXTableCell * > > & | getRows () const
bool | isEmpty () const

## Private Attributes
std::vector< std::vector< WPXTableCell * > > | m_tableRows

## Constructor & Destructor Documentation

WPXTable::WPXTable | ( |  | ) |
| inline

WPXTable::~WPXTable | ( |  | ) |

## Member Function Documentation

std::vector< WPXTableCell * > WPXTable::_getCellsBottomAdjacent | ( | int | i,
|  | int | j
| ) |  |

Referenced by makeBordersConsistent().

std::vector< WPXTableCell * > WPXTable::_getCellsRightAdjacent | ( | int | i,
|  | int | j
| ) |  |

Referenced by makeBordersConsistent().

void WPXTable::_makeCellBordersConsistent | ( | WPXTableCell * | cell,
|  | std::vector< WPXTableCell * > & | adjacentCells,
|  | int | adjacencyBitCell,
|  | int | adjacencyBitBoundCells
| ) |  |

Referenced by makeBordersConsistent().

const WPXTableCell* WPXTable::getCell | ( | size_t | i,
|  | size_t | j
| ) |  |
| inline

Referenced by WP6ContentListener::insertCell().

const std::vector< std::vector<WPXTableCell *> >& WPXTable::getRows | ( |  | ) | const
| inline

Referenced by WP6ContentListener::insertCell().

void WPXTable::insertCell | ( | unsigned char | colSpan,
|  | unsigned char | rowSpan,
|  | unsigned char | borderBits
| ) |  |

Referenced by WP5StylesListener::insertCell(), and WP6StylesListener::insertCell().

void WPXTable::insertRow | ( |  | ) |

Referenced by WP5StylesListener::insertRow(), and WP6StylesListener::insertRow().

bool WPXTable::isEmpty | ( |  | ) | const
| inline

Referenced by WP6ContentListener::startTable().

void WPXTable::makeBordersConsistent | ( |  | ) |

Referenced by WP6ContentListener::defineTable().

## Member Data Documentation

std::vector< std::vector<WPXTableCell *> > WPXTable::m_tableRows
| private

Referenced by _getCellsBottomAdjacent(), _getCellsRightAdjacent(), getCell(), getRows(), insertCell(), insertRow(), isEmpty(), makeBordersConsistent(), and ~WPXTable().

The documentation for this class was generated from the following files:

- WPXTable.h
- WPXTable.cpp